<?php
#    IRM - The Information Resource Manager
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License (in file COPYING) for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#################################################################################


include("../../include/irm.inc");
include("../../include/reports.inc.php");
require_once 'lib/Config.php';
require_once 'include/i18n.php';

AuthCheck("normal");
PRINT "<html><body bgcolor=#ffffff>";

# 1. Get some number data

$query = "SELECT ID FROM computers";

$DB = Config::Database();

$computers = $DB->getCol($query);
$number_of_computers = count($computers);

$query = "SELECT ID FROM networking";

$networking = $DB->getCol($query);
 	$number_of_netdevs = count($networking);
	
$total_devs =  $number_of_netdevs + $number_of_computers;

# 2. Spew out the data in a table

#print date and time
PRINT "<tr><td>";
PRINT date("M d Y H:i");
PRINT "</td><td>";

PRINT "<h3><u>Device List</u></h3></td><td>";

PRINT "<table border=0 width=100%>";

PRINT "<tr><td>";
__("Number of Computers:");
PRINT "</td><td>$number_of_computers</td></tr>";

PRINT "<tr><td>";
__("Number of Networking Devices:");
PRINT "</td><td>$number_of_netdevs</td></tr>";

PRINT "<tr><td>";
__("Total Number of Devices:");
PRINT "</td><td>$total_devs</td></tr>";

PRINT "<tr><td colspan=2><b>";
__("IP List");
PRINT ":</b></td></tr>";

# 3. Get some more number data (list of all devices sorted by IP)

$query = "(SELECT LPAD(ID,5,'0') AS ID,name,contact,ip,type,mac, 1 AS table_name FROM computers)
	UNION ALL
	(SELECT LPAD(ID,5,'0') AS ID,name,contact,ip,type,mac, 2 AS table_name FROM networking)
	ORDER BY
	CAST(SUBSTRING_INDEX(`ip`, '.', 1) AS UNSIGNED),
	CAST(SUBSTRING_INDEX(SUBSTRING_INDEX(`ip`, '.', -3), '.', 1) AS UNSIGNED),
	CAST(SUBSTRING_INDEX(SUBSTRING_INDEX(`ip`, '.', -2), '.', 1)AS UNSIGNED) ,
	CAST(SUBSTRING_INDEX(`ip`, '.', -1) AS UNSIGNED)";

$netdevslist = $DB->getAll($query);
	
#Print table header
PRINT "<tr><td><b><u>ID</td><td><b><u>IP</td><td><b><u>Name</td>";
PRINT "<td><b><u>Contact</td><td><b><u>Type</td><td><b><u>MAC</td>";

foreach ($netdevslist as $result)
{
	$ID = $result["ID"];
	$name = $result["name"];
	$contact = $result["contact"];
	$type = $result["type"];
	$ip = $result["ip"];
	$mac = $result["mac"];
	$table_name = $result["table_name"];


	if ($table_name == 1)
	{
		PRINT "<tr><td><A HREF=\"/users/computers-info.php?ID=$ID\">C$ID<a></td>";
	}
	else
	{
		PRINT "<tr><td><A HREF=\"/users/networking-info.php?ID=$ID\">N$ID<a></td>";
	}

	PRINT "<td>$ip</td>";
	PRINT "<td>$name</td>";
	PRINT "<td>$contact</td>";
	PRINT "<td>$type</td>";
	PRINT "<td>$mac</tr>";
}
PRINT "</table>";
PRINT "</body></html>";
